Bug 1333591 - F24 PAE kernel conflicts with F23 PAE kernel
F24 PAE kernel conflicts with F23 PAE kernel
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
rawhide
i686 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Igor Gnatenko
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-05-05 18:46 EDT by Adam Williamson
Modified: 2016-10-04 14:07 EDT (History)
16 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-10-04 14:03:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
debugdata (4.01 MB, application/x-xz)
2016-05-31 14:16 EDT, Adam Williamson
no flags Details

  None (edit)
Description Adam Williamson 2016-05-05 18:46:11 EDT
openQA 32-bit F23 -> F24 upgrade tests currently fail because the F24 PAE kernel and the F23 PAE kernel conflict - dnf wants to parallel-install them, as it should be able to do, but the conflict prevents this: https://openqa.fedoraproject.org/tests/16172/modules/upgrade_run/steps/6

kernel-PAE-4.5.2-302.fc24.i686 conflicts with kernel-PAE-4.4.8-300.fc23.i686
Comment 1 Josh Boyer 2016-05-05 19:48:52 EDT
???

Nothing has changed in the requires or provides or packaging between f23 and f24.  What actually conflicts?  At the moment, this seems like a dnf issue to be honest.
Comment 2 Adam Williamson 2016-05-05 19:57:52 EDT
That's all the info I have for now. Most likely cause is that a file that is in both packages is no longer identical; two packages can contain the same file so long as it is identical, but if it is not, it will be a conflict.
Comment 3 Samuel Sieb 2016-05-06 18:03:17 EDT
The F24 kernel has a provides of installonlypkg(kernel) which is a new thing.  Is there any chance that would cause a conflict with the older package that doesn't have it?
Comment 4 Adam Williamson 2016-05-06 18:05:19 EDT
No, I don't think that would be it.
Comment 5 Samuel Sieb 2016-05-06 18:13:14 EDT
The odd thing is that those packages don't actually contain any files.  And the message doesn't say anything about a file conflict like it normally would in that case.  It just says that both packages can't be installed at the same time.
Comment 6 Adam Williamson 2016-05-06 18:16:45 EDT
true, it is a bit odd. but doesn't that change apply to x86_64 too?

hmm, I wonder if there's a whitelist somewhere in DNF with 'kernel' but not 'kernel-PAE' on it...
Comment 7 Justin M. Forbes 2016-05-20 10:34:12 EDT
Actually, it gets more interesting. The 4.5.5 update for F23 is conflicting with 4.4.9 on our test system. 4.5.3 and 4.5.4 did not. To make things more interesting, the kernel-PAE-4.4.9-300.fc23.i686 package is not even installed on these test systems, only kernel-PAE-core/modules/devel/headers.
Comment 8 Adam Williamson 2016-05-20 10:43:30 EDT
This has been continuing to fail in openQA all along, FWIW. 32-bit upgrade tests always seem to hit this.
Comment 9 Justin M. Forbes 2016-05-23 08:11:28 EDT
Reverting the installonlypkg additions for PAE make this go away, but then we are back to 32bit users not getting the benefits of having this.  This is perhaps another example of why these things should have been fixed in dnf and not in the kernel spec.  Assigning over to the DNF folks to see what is recommended.
Comment 10 Michal Luscon 2016-05-23 09:07:37 EDT
Please rerun the failed dnf command with --debugsolver option and attach produced debugdata to this bugreport.
Comment 11 Justin M. Forbes 2016-05-31 12:15:02 EDT
Any idea on a solution here? We backed out the installonlypkg for F23 updates, but F24 has had it from the point of branch. Users upgrading from F23 to F24 will hit this.
Comment 12 Adam Williamson 2016-05-31 14:16 EDT
Created attachment 1163342 [details]
debugdata
Comment 13 Fedora Admin XMLRPC Client 2016-07-08 05:32:10 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 14 Adam Williamson 2016-09-01 14:22:04 EDT
this is still valid and still breaking 32-bit upgrade tests to F25 and Rawhide.
Comment 15 Orion Poplawski 2016-09-18 23:03:56 EDT
I'm getting the same error trying to upgrade:

Error: cannot install both kernel-PAE-4.5.5-300.fc24.i686 and kernel-PAE-4.7.3-100.fc23.i686

Why is it referring to 4.5.5-300.fc24 from the base fedora repo instead of getting the kernel from the updates repo?
Comment 17 Adam Williamson 2016-10-04 14:07:36 EDT
can we have this fixed for at least F25 as well?

Note You need to log in before you can comment on or make changes to this bug.